/* FBErrorManager.h created by ahoesch on Sat 07-Apr-2001 */

#import <Foundation/Foundation.h>

@interface FBErrorManager : NSObject
{
}

+ (void)setRaiseImmediately:(BOOL)flag;
+ (NSString *)applicationName;

// call [FBErrorManager registerResourcesBundleForClass:self] in one initialize method of each framework, library, application,...
+ (void)registerResourcesBundleForTool;
+ (NSBundle *)resourcesBundleForTool;

+ (void)registerResourcesBundleForClass:(Class)principalClass;
+ (void)registerResourcesBundle:(NSBundle *)bundle;
+ (NSArray *)registeredResourceProjects;

+ (void)errorCode:(int)code project:(NSString *)project;
+ (NSString *)messageForErrorCode:(int)code project:(NSString *)project;

+ (void)inputMessage:(NSString *)message;
+ (void)outputMessage:(NSString *)message;
+ (BOOL)raise;

+ (void)addMessage:(NSString *)message;
+ (NSString *)errorMessage;
+ (void)clear;
+ (BOOL)segen;

@end
