/* Definitions.h created by ahoesch on Wed 15-Nov-2000 */

#define ApplicationName [[NSProcessInfo processInfo] processName]
#define FBLocalizedString(key) [[NSBundle bundleForClass:[self class]] localizedStringForKey:(key) value:@"" table:nil]
#define FBConnectionErrorException @"FBConnectionErrorException"

#define SATextStorageWillReplaceCharactersNotification @"SATextStorageWillReplaceCharactersNotification"
#define SALinkClickedNotification @"SALinkClickedNotification"

#define Connection @"Connection"
#define Miscellaneous @"Miscellaneous"
#define FBObjectsPboardType		@"FBObjects%@PboardType"
#define FBArchivedObjectsPboardType	@"FBArchivedObjectsPboardType"

enum {
   SALinkCharacter		= 0xE000
};

enum {
   TAB			= 0x0009,
   NEWLINE	    	= 0x000A,
   CARRIAGE_RETURN    	= 0x000D,
   DELETE		= 0x0004,
   BACKSPACE		= 0x007F
};

typedef enum {
   TAB_ATTACH_LF	= 1,
   ATTACH_LF	    	= 2,
   TAB_ATTACH    	= 3,
   ATTACH_TAB		= 4,
} SALineType;



#define SAFontAttributeName		@"SAFontAttributeName"
#define SAFontAttributeSize		@"SAFontAttributeSize"
#define SAFontAttributeForegroundColor	@"SAFontAttributeForegroundColor"

#define SAEmphasisAttributeName		@"SAEmphasisAttributeName"
#define SASectionAttributeName		@"SASectionAttributeName"
#define SASectionTitleAttributeName	@"SASectionTitleAttributeName"
#define SABodyAttributeName		@"SABodyAttributeName"
#define SAAttachmentAttributeName	@"SAAttachmentAttributeName"
#define SAPropertyAttributeName		@"SAPropertyAttributeName"
#define SATheoremAttributeName		@"SATheoremAttributeName"
#define SATheoremHeadAttributeName	@"SATheoremHeadAttributeName"
#define SATheoremBodyAttributeName	@"SATheoremBodyAttributeName"
#define SAFormulaAttributeName		@"SAFormulaAttributeName"
#define SAFigureAttributeName		@"SAFigureAttributeName"
#define SAWrapperAttributeName		@"SAWrapperAttributeName"
#define SAEnumerateAttributeName	@"SAEnumerateAttributeName"
#define SAEnumerateMarkerAttributeName	@"SAEnumerateMarkerAttributeName"
#define SAEquationArrayAttributeName	@"SAEquationArrayAttributeName"

#define SAMarkAttributeName		@"SAMarkAttributeName"
#define SALinkAttributeName		@"SALinkAttributeName"
#define SALabelAttributeName		@"SALabelAttributeName"
#define SALabelSpaceAttributeName	@"SALabelSpaceAttributeName"
